Package org.springframework.cache.annotation

# Class AbstractCachingConfiguration.CachingConfigurerSupplier

java.lang.Object
org.springframework.cache.annotation.AbstractCachingConfiguration.CachingConfigurerSupplier

Enclosing class:
  AbstractCachingConfiguration

protected static class AbstractCachingConfiguration.CachingConfigurerSupplier extends Object

## Constructor Summary

Constructors
Constructor
Description
`CachingConfigurerSupplier(Supplier<CachingConfigurer> supplier)`

## Method Summary

Modifier and Type
Method
Description
`<T> Supplier<T>`
`adapt(Function<CachingConfigurer,T> provider)`
Adapt the `CachingConfigurer` supplier to another supplier provided by the specified mapping function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachingConfigurerSupplier

public CachingConfigurerSupplier(Supplier<CachingConfigurer> supplier)

## Method Details

### adapt

@Nullable public <T> Supplier<T> adapt(Function<CachingConfigurer,T> provider)
Adapt the `CachingConfigurer` supplier to another supplier provided by the specified mapping function. If the underlying `CachingConfigurer` is `null`, `null` is returned and the mapping function is not invoked.

Type Parameters:
  `T` - the type of the supplier
Parameters:
  `provider` - the provider to use to adapt the supplier
Returns:
  another supplier mapped by the specified function